Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\SignalSlot\ContentService Class Reference

ContentService class. More...

Inheritance diagram for eZ\Publish\Core\SignalSlot\ContentService:

## Public Member Functions
| __construct (ContentServiceInterface $service, SignalDispatcher $signalDispatcher)
| Constructor. More...
| loadContentInfo ($contentId)
| Loads a content info object. More...
| loadContentInfoList (array $contentIds)
  | {Bulk-load ContentInfo items by id's.Note: It does not throw exceptions on load, just skips erroneous (NotFound or Unauthorized) ContentInfo items. Parameters
  int[] | $contentIds |
Returns \eZ\Publish\API\Repository\Values\Content\ContentInfo[] list of ContentInfo with Content Ids as keys } More...
| loadContentInfoByRemoteId ($remoteId)
| Loads a content info object for the given remoteId. More...
| loadVersionInfo (ContentInfo $contentInfo, $versionNo=null)
| Loads a version info of the given content object. More...
| loadVersionInfoById ($contentId, $versionNo=null)
| Loads a version info of the given content object id. More...
| loadContentByContentInfo (ContentInfo $contentInfo, array $languages=null, $versionNo=null, $useAlwaysAvailable=true)
| Loads content in a version for the given content info object. More...
| loadContentByVersionInfo (VersionInfo $versionInfo, array $languages=null, $useAlwaysAvailable=true)
| Loads content in the version given by version info. More...
| loadContent ($contentId, array $languages=null, $versionNo=null, $useAlwaysAvailable=true)
| Loads content in a version of the given content object. More...
| loadContentByRemoteId ($remoteId, array $languages=null, $versionNo=null, $useAlwaysAvailable=true)
| Loads content in a version for the content object reference by the given remote id. More...
| createContent (ContentCreateStruct $contentCreateStruct, array $locationCreateStructs=[])
| Creates a new content draft assigned to the authenticated user. More...
| updateContentMetadata (ContentInfo $contentInfo, ContentMetadataUpdateStruct $contentMetadataUpdateStruct)
| Updates the metadata. More...
| deleteContent (ContentInfo $contentInfo)
| Deletes a content object including all its versions and locations including their subtrees. More...
| createContentDraft (ContentInfo $contentInfo, VersionInfo $versionInfo=null, User $creator=null, ?Language $language=null)
| Creates a draft from a published or archived version. More...
| countContentDrafts (?User $user=null)
| Counts drafts for a user. More...
| loadContentDrafts (User $user=null)
| Loads drafts for a user. More...
| loadContentDraftList (?User $user=null, int $offset=0, int $limit=-1)
  | {Loads drafts for a user when content is not in the trash.The list is sorted by modification date.If no user is given the drafts for the authenticated user are returned Since 7.5.5 Parameters
  \eZ\Publish\API\Repository\Values\User\User | null | $user | The user to load drafts for, if defined, otherwise drafts for current-user
  int | $offset |
  int | $limit |
Returns \eZ\Publish\API\Repository\Values\Content\ContentDraftList } More...
| updateContent (VersionInfo $versionInfo, ContentUpdateStruct $contentUpdateStruct)
| Updates the fields of a draft. More...
| publishVersion (VersionInfo $versionInfo, array $translations=Language::ALL)
| Publishes a content version. More...
| deleteVersion (VersionInfo $versionInfo)
| Removes the given version. More...
| loadVersions (ContentInfo $contentInfo, ?int $status=null)
| Loads all versions for the given content. More...
| copyContent (ContentInfo $contentInfo, LocationCreateStruct $destinationLocationCreateStruct, VersionInfo $versionInfo=null)
| Copies the content to a new location. More...
| loadRelations (VersionInfo $versionInfo)
| Loads all outgoing relations for the given version. More...
| countReverseRelations (ContentInfo $contentInfo)
  | {Counts all incoming relations for the given content object. Parameters
  \eZ\Publish\API\Repository\Values\Content\ContentInfo | $contentInfo |
Returns int The number of reverse relations (Relation) } More...
| loadReverseRelations (ContentInfo $contentInfo)
| Loads all incoming relations for a content object. More...
| loadReverseRelationList (ContentInfo $contentInfo, int $offset=0, int $limit=-1)
  | {Loads all incoming relations for a content object.The relations come only from published versions of the source content objects. If the user is not allowed to read specific version then UnauthorizedRelationListItem is returned \eZ\Publish\API\Repository\Values\Content\RelationList\Item\UnauthorizedRelationListItem Parameters
  \eZ\Publish\API\Repository\Values\Content\ContentInfo | $contentInfo |
  int | $offset |
  int | $limit |
Returns \eZ\Publish\API\Repository\Values\Content\RelationList } More...
| addRelation (VersionInfo $sourceVersion, ContentInfo $destinationContent)
| Adds a relation of type common. More...
| deleteRelation (VersionInfo $sourceVersion, ContentInfo $destinationContent)
| Removes a relation of type COMMON from a draft. More...
| removeTranslation (ContentInfo $contentInfo, $languageCode)
  | {Remove Content Object translation from all Versions (including archived ones) of a Content Object.NOTE: this operation is risky and permanent, so user interface (ideally CLI) should provide a warning before performing it. Deprecated: since 6.13, use { See also deleteTranslation} instead Exceptions
} More...
| deleteTranslation (ContentInfo $contentInfo, $languageCode)
| Delete Content item Translation from all Versions (including archived ones) of a Content Object. More...
| deleteTranslationFromDraft (VersionInfo $versionInfo, $languageCode)
| Delete specified Translation from a Content Draft. More...
| loadContentListByContentInfo (array $contentInfoList, array $languages=[], $useAlwaysAvailable=true)
| Bulk-load Content items by the list of ContentInfo Value Objects. More...
| hideContent (ContentInfo $contentInfo)
| Hides Content by making all the Locations appear hidden. More...
| revealContent (ContentInfo $contentInfo)
| Reveals Content hidden by hideContent API. More...
| newContentCreateStruct (ContentType $contentType, $mainLanguageCode)
| Instantiates a new content create struct object. More...
| newContentMetadataUpdateStruct ()
| Instantiates a new content meta data update struct. More...
| newContentUpdateStruct ()
| Instantiates a new content update struct. More...

## Protected Attributes
| $service
| $signalDispatcher

## Detailed Description

ContentService class.

Definition at line 39 of file Core/SignalSlot/ContentService.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\SignalSlot\ContentService::__construct | ( | ContentServiceInterface | $service,
|  | SignalDispatcher | $signalDispatcher
| ) |  |

Constructor.

Construct service object from aggregated service and signal dispatcher

Parameters

  \eZ\Publish\API\Repository\ContentService | $service |
  \eZ\Publish\Core\SignalSlot\SignalDispatcher | $signalDispatcher |

Definition at line 64 of file Core/SignalSlot/ContentService.php.

References eZ\Publish\Core\SignalSlot\ContentService\$service, and eZ\Publish\Core\SignalSlot\ContentService\$signalDispatcher.

## Member Function Documentation

## ◆ addRelation()

eZ\Publish\Core\SignalSlot\ContentService::addRelation | ( | VersionInfo | $sourceVersion,
|  | ContentInfo | $destinationContent
| ) |  |

Adds a relation of type common.

The source of the relation is the content and version referenced by $versionInfo.

Exceptions

Implements eZ\Publish\API\Repository\ContentService.

Definition at line 574 of file Core/SignalSlot/ContentService.php.

## ◆ copyContent()

eZ\Publish\Core\SignalSlot\ContentService::copyContent | ( | ContentInfo | $contentInfo,
|  | LocationCreateStruct | $destinationLocationCreateStruct,
|  | VersionInfo | $versionInfo = `null`
| ) |  |

Copies the content to a new location.

If no version is given, all versions are copied, otherwise only the given version.

Exceptions

Implements eZ\Publish\API\Repository\ContentService.

Definition at line 496 of file Core/SignalSlot/ContentService.php.

## ◆ countContentDrafts()

eZ\Publish\Core\SignalSlot\ContentService::countContentDrafts | ( | ?User | $user = `null` | ) |

Counts drafts for a user.

If no user is given the number of drafts for the authenticated user are returned

Parameters

  \eZ\Publish\API\Repository\Values\User\User | null | $user | The user to load drafts for, if defined, otherwise drafts for current-user

Returns
  int The number of drafts (VersionInfo) owned by the given user

Implements eZ\Publish\API\Repository\ContentService.

Definition at line 359 of file Core/SignalSlot/ContentService.php.

## ◆ countReverseRelations()

eZ\Publish\Core\SignalSlot\ContentService::countReverseRelations | ( | ContentInfo | $contentInfo | ) |

{Counts all incoming relations for the given content object.

Parameters

  \eZ\Publish\API\Repository\Values\Content\ContentInfo | $contentInfo |

Returns
  int The number of reverse relations (Relation)

}

Implements eZ\Publish\API\Repository\ContentService.

Definition at line 531 of file Core/SignalSlot/ContentService.php.

## ◆ createContent()

eZ\Publish\Core\SignalSlot\ContentService::createContent | ( | ContentCreateStruct | $contentCreateStruct,
|  | array | $locationCreateStructs = `[]`
| ) |  |

Creates a new content draft assigned to the authenticated user.

If a different userId is given in $contentCreateStruct it is assigned to the given user but this required special rights for the authenticated user (this is useful for content staging where the transfer process does not have to authenticate with the user which created the content object in the source server). The user has to publish the draft if it should be visible. In 4.x at least one location has to be provided in the location creation array.

Exceptions

Implements eZ\Publish\API\Repository\ContentService.

Definition at line 246 of file Core/SignalSlot/ContentService.php.

## ◆ createContentDraft()

eZ\Publish\Core\SignalSlot\ContentService::createContentDraft | ( | ContentInfo | $contentInfo,
|  | VersionInfo | $versionInfo = `null`,
|  | User | $creator = `null`,
|  | ?Language | $language = `null`
| ) |  |

Creates a draft from a published or archived version.

If no version is given, the current published version is used. 4.x: The draft is created with the initialLanguage code of the source version or if not present with the main language. It can be changed on updating the version.

Exceptions

Implements eZ\Publish\API\Repository\ContentService.

Definition at line 328 of file Core/SignalSlot/ContentService.php.

## ◆ deleteContent()

eZ\Publish\Core\SignalSlot\ContentService::deleteContent | ( | ContentInfo | $contentInfo | ) |

Deletes a content object including all its versions and locations including their subtrees.

Exceptions

Implements eZ\Publish\API\Repository\ContentService.

Definition at line 297 of file Core/SignalSlot/ContentService.php.

## ◆ deleteRelation()

eZ\Publish\Core\SignalSlot\ContentService::deleteRelation | ( | VersionInfo | $sourceVersion,
|  | ContentInfo | $destinationContent
| ) |  |

Removes a relation of type COMMON from a draft.

Exceptions

Implements eZ\Publish\API\Repository\ContentService.

Definition at line 600 of file Core/SignalSlot/ContentService.php.

## ◆ deleteTranslation()

eZ\Publish\Core\SignalSlot\ContentService::deleteTranslation | ( | ContentInfo | $contentInfo,
|  |  | $languageCode
| ) |  |

Delete Content item Translation from all Versions (including archived ones) of a Content Object.

NOTE: this operation is risky and permanent, so user interface should provide a warning before performing it.

Exceptions

Implements eZ\Publish\API\Repository\ContentService.

Definition at line 645 of file Core/SignalSlot/ContentService.php.

Referenced by eZ\Publish\Core\SignalSlot\ContentService\removeTranslation().

## ◆ deleteTranslationFromDraft()

eZ\Publish\Core\SignalSlot\ContentService::deleteTranslationFromDraft | ( | VersionInfo | $versionInfo,
|  |  | $languageCode
| ) |  |

Delete specified Translation from a Content Draft.

Exceptions

Implements eZ\Publish\API\Repository\ContentService.

Definition at line 674 of file Core/SignalSlot/ContentService.php.

## ◆ deleteVersion()

eZ\Publish\Core\SignalSlot\ContentService::deleteVersion | ( | VersionInfo | $versionInfo | ) |

Removes the given version.

Exceptions

Implements eZ\Publish\API\Repository\ContentService.

Definition at line 453 of file Core/SignalSlot/ContentService.php.

## ◆ hideContent()

eZ\Publish\Core\SignalSlot\ContentService::hideContent | ( | ContentInfo | $contentInfo | ) |

Hides Content by making all the Locations appear hidden.

It does not persist hidden state on Location object itself.

Content hidden by this API can be revealed by revealContent API.

See also
  revealContent

Parameters

  \eZ\Publish\API\Repository\Values\Content\ContentInfo | $contentInfo |

Implements eZ\Publish\API\Repository\ContentService.

Definition at line 716 of file Core/SignalSlot/ContentService.php.

## ◆ loadContent()

eZ\Publish\Core\SignalSlot\ContentService::loadContent | ( |  | $contentId,
|  | array | $languages = `null`,
|  |  | $versionNo = `null`,
|  |  | $useAlwaysAvailable = `true`
| ) |  |

Loads content in a version of the given content object.

If no version number is given, the method returns the current version

Exceptions

Implements eZ\Publish\API\Repository\ContentService.

Definition at line 199 of file Core/SignalSlot/ContentService.php.

## ◆ loadContentByContentInfo()

eZ\Publish\Core\SignalSlot\ContentService::loadContentByContentInfo | ( | ContentInfo | $contentInfo,
|  | array | $languages = `null`,
|  |  | $versionNo = `null`,
|  |  | $useAlwaysAvailable = `true`
| ) |  |

Loads content in a version for the given content info object.

If no version number is given, the method returns the current version

Exceptions

Implements eZ\Publish\API\Repository\ContentService.

Definition at line 163 of file Core/SignalSlot/ContentService.php.

## ◆ loadContentByRemoteId()

eZ\Publish\Core\SignalSlot\ContentService::loadContentByRemoteId | ( |  | $remoteId,
|  | array | $languages = `null`,
|  |  | $versionNo = `null`,
|  |  | $useAlwaysAvailable = `true`
| ) |  |

Loads content in a version for the content object reference by the given remote id.

If no version is given, the method returns the current version

Exceptions

Implements eZ\Publish\API\Repository\ContentService.

Definition at line 219 of file Core/SignalSlot/ContentService.php.

## ◆ loadContentByVersionInfo()

eZ\Publish\Core\SignalSlot\ContentService::loadContentByVersionInfo | ( | VersionInfo | $versionInfo,
|  | array | $languages = `null`,
|  |  | $useAlwaysAvailable = `true`
| ) |  |

Loads content in the version given by version info.

Exceptions

Implements eZ\Publish\API\Repository\ContentService.

Definition at line 179 of file Core/SignalSlot/ContentService.php.

## ◆ loadContentDraftList()

eZ\Publish\Core\SignalSlot\ContentService::loadContentDraftList | ( | ?User | $user = `null`,
|  | int | $offset = `0`,
|  | int | $limit = `-1`
| ) |  |

{Loads drafts for a user when content is not in the trash.The list is sorted by modification date.If no user is given the drafts for the authenticated user are returned

Since
  7.5.5

Parameters

  \eZ\Publish\API\Repository\Values\User\User | null | $user | The user to load drafts for, if defined, otherwise drafts for current-user
  int | $offset |
  int | $limit |

Returns
  \eZ\Publish\API\Repository\Values\Content\ContentDraftList

}

Implements eZ\Publish\API\Repository\ContentService.

Definition at line 383 of file Core/SignalSlot/ContentService.php.

## ◆ loadContentDrafts()

eZ\Publish\Core\SignalSlot\ContentService::loadContentDrafts | ( | User | $user = `null` | ) |

Loads drafts for a user.

If no user is given the drafts for the authenticated user are returned

Parameters

  \eZ\Publish\API\Repository\Values\User\User | $user |

Returns
  \eZ\Publish\API\Repository\Values\Content\VersionInfo[] the drafts (VersionInfo) owned by the given user

Exceptions

Implements eZ\Publish\API\Repository\ContentService.

Definition at line 375 of file Core/SignalSlot/ContentService.php.

## ◆ loadContentInfo()

eZ\Publish\Core\SignalSlot\ContentService::loadContentInfo | ( |  | $contentId | ) |

Loads a content info object.

To load fields use loadContent

Exceptions

Implements eZ\Publish\API\Repository\ContentService.

Definition at line 82 of file Core/SignalSlot/ContentService.php.

## ◆ loadContentInfoByRemoteId()

eZ\Publish\Core\SignalSlot\ContentService::loadContentInfoByRemoteId | ( |  | $remoteId | ) |

Loads a content info object for the given remoteId.

To load fields use loadContent

Exceptions

Implements eZ\Publish\API\Repository\ContentService.

Definition at line 107 of file Core/SignalSlot/ContentService.php.

## ◆ loadContentInfoList()

eZ\Publish\Core\SignalSlot\ContentService::loadContentInfoList | ( | array | $contentIds | ) |

{Bulk-load ContentInfo items by id's.Note: It does not throw exceptions on load, just skips erroneous (NotFound or Unauthorized) ContentInfo items.

Parameters

  int[] | $contentIds |

Returns
  \eZ\Publish\API\Repository\Values\Content\ContentInfo[] list of ContentInfo with Content Ids as keys

}

Implements eZ\Publish\API\Repository\ContentService.

Definition at line 90 of file Core/SignalSlot/ContentService.php.

## ◆ loadContentListByContentInfo()

eZ\Publish\Core\SignalSlot\ContentService::loadContentListByContentInfo | ( | array | $contentInfoList,
|  | array | $languages = `[]`,
|  |  | $useAlwaysAvailable = `true`
| ) |  |

Bulk-load Content items by the list of ContentInfo Value Objects.

Note: it does not throw exceptions on load, just ignores erroneous Content item. Moreover, since the method works on pre-loaded ContentInfo list, it is assumed that user is allowed to access every Content on the list.

Parameters

  \eZ\Publish\API\Repository\Values\Content\ContentInfo[] | $contentInfoList |
  string[] | $languages | A language priority, filters returned fields and is used as prioritized language code on returned value object. If not given all languages are returned.
  bool | $useAlwaysAvailable | Add Main language to $languages if true (default) and if alwaysAvailable is true, unless all languages have been asked for.

Returns
  \eZ\Publish\API\Repository\Values\Content\Content[] list of Content items with Content Ids as keys

Implements eZ\Publish\API\Repository\ContentService.

Definition at line 694 of file Core/SignalSlot/ContentService.php.

## ◆ loadRelations()

eZ\Publish\Core\SignalSlot\ContentService::loadRelations | ( | VersionInfo | $versionInfo | ) |

Loads all outgoing relations for the given version.

Exceptions

Implements eZ\Publish\API\Repository\ContentService.

Definition at line 523 of file Core/SignalSlot/ContentService.php.

## ◆ loadReverseRelationList()

eZ\Publish\Core\SignalSlot\ContentService::loadReverseRelationList | ( | ContentInfo | $contentInfo,
|  | int | $offset = `0`,
|  | int | $limit = `-1`
| ) |  |

{Loads all incoming relations for a content object.The relations come only from published versions of the source content objects. If the user is not allowed to read specific version then UnauthorizedRelationListItem is returned \eZ\Publish\API\Repository\Values\Content\RelationList\Item\UnauthorizedRelationListItem

Parameters

  \eZ\Publish\API\Repository\Values\Content\ContentInfo | $contentInfo |
  int | $offset |
  int | $limit |

Returns
  \eZ\Publish\API\Repository\Values\Content\RelationList

}

Implements eZ\Publish\API\Repository\ContentService.

Definition at line 555 of file Core/SignalSlot/ContentService.php.

## ◆ loadReverseRelations()

eZ\Publish\Core\SignalSlot\ContentService::loadReverseRelations | ( | ContentInfo | $contentInfo | ) |

Loads all incoming relations for a content object.

The relations come only from published versions of the source content objects

Exceptions

Implements eZ\Publish\API\Repository\ContentService.

Definition at line 547 of file Core/SignalSlot/ContentService.php.

## ◆ loadVersionInfo()

eZ\Publish\Core\SignalSlot\ContentService::loadVersionInfo | ( | ContentInfo | $contentInfo,
|  |  | $versionNo = `null`
| ) |  |

Loads a version info of the given content object.

If no version number is given, the method returns the current version

Exceptions

Implements eZ\Publish\API\Repository\ContentService.

Definition at line 125 of file Core/SignalSlot/ContentService.php.

## ◆ loadVersionInfoById()

eZ\Publish\Core\SignalSlot\ContentService::loadVersionInfoById | ( |  | $contentId,
|  |  | $versionNo = `null`
| ) |  |

Loads a version info of the given content object id.

If no version number is given, the method returns the current version

Exceptions

Implements eZ\Publish\API\Repository\ContentService.

Definition at line 143 of file Core/SignalSlot/ContentService.php.

## ◆ loadVersions()

eZ\Publish\Core\SignalSlot\ContentService::loadVersions | ( | ContentInfo | $contentInfo,
|  | ?int | $status = `null`
| ) |  |

Loads all versions for the given content.

Exceptions

Implements eZ\Publish\API\Repository\ContentService.

Definition at line 479 of file Core/SignalSlot/ContentService.php.

## ◆ newContentCreateStruct()

eZ\Publish\Core\SignalSlot\ContentService::newContentCreateStruct | ( | ContentType | $contentType,
|  |  | $mainLanguageCode
| ) |  |

Instantiates a new content create struct object.

alwaysAvailable is set to the ContentType's defaultAlwaysAvailable

Parameters

  \eZ\Publish\API\Repository\Values\ContentType\ContentType | $contentType |
  string | $mainLanguageCode |

Returns
  \eZ\Publish\API\Repository\Values\Content\ContentCreateStruct

Implements eZ\Publish\API\Repository\ContentService.

Definition at line 754 of file Core/SignalSlot/ContentService.php.

## ◆ newContentMetadataUpdateStruct()

eZ\Publish\Core\SignalSlot\ContentService::newContentMetadataUpdateStruct | ( |  | ) |

Instantiates a new content meta data update struct.

Returns
  \eZ\Publish\API\Repository\Values\Content\ContentMetadataUpdateStruct

Implements eZ\Publish\API\Repository\ContentService.

Definition at line 764 of file Core/SignalSlot/ContentService.php.

## ◆ newContentUpdateStruct()

eZ\Publish\Core\SignalSlot\ContentService::newContentUpdateStruct | ( |  | ) |

Instantiates a new content update struct.

Returns
  \eZ\Publish\API\Repository\Values\Content\ContentUpdateStruct

Implements eZ\Publish\API\Repository\ContentService.

Definition at line 774 of file Core/SignalSlot/ContentService.php.

## ◆ publishVersion()

eZ\Publish\Core\SignalSlot\ContentService::publishVersion | ( | VersionInfo | $versionInfo,
|  | array | $translations = `Language::ALL`
| ) |  |

Publishes a content version.

Exceptions

Implements eZ\Publish\API\Repository\ContentService.

Definition at line 428 of file Core/SignalSlot/ContentService.php.

References eZ\Publish\API\Repository\Values\Content\VersionInfo\getContentInfo().

## ◆ removeTranslation()

eZ\Publish\Core\SignalSlot\ContentService::removeTranslation | ( | ContentInfo | $contentInfo,
|  |  | $languageCode
| ) |  |

{Remove Content Object translation from all Versions (including archived ones) of a Content Object.NOTE: this operation is risky and permanent, so user interface (ideally CLI) should provide a warning before performing it.

Deprecated:
  since 6.13, use {

See also
  deleteTranslation} instead

Exceptions

}

Implements eZ\Publish\API\Repository\ContentService.

Definition at line 619 of file Core/SignalSlot/ContentService.php.

References eZ\Publish\Core\SignalSlot\ContentService\deleteTranslation().

## ◆ revealContent()

eZ\Publish\Core\SignalSlot\ContentService::revealContent | ( | ContentInfo | $contentInfo | ) |

Reveals Content hidden by hideContent API.

Locations which were hidden before hiding Content will remain hidden.

See also
  hideContent

Parameters

  \eZ\Publish\API\Repository\Values\Content\ContentInfo | $contentInfo |

Implements eZ\Publish\API\Repository\ContentService.

Definition at line 734 of file Core/SignalSlot/ContentService.php.

## ◆ updateContent()

eZ\Publish\Core\SignalSlot\ContentService::updateContent | ( | VersionInfo | $versionInfo,
|  | ContentUpdateStruct | $contentUpdateStruct
| ) |  |

Updates the fields of a draft.

Exceptions

Implements eZ\Publish\API\Repository\ContentService.

Definition at line 402 of file Core/SignalSlot/ContentService.php.

References eZ\Publish\API\Repository\Values\Content\VersionInfo\getContentInfo().

## ◆ updateContentMetadata()

eZ\Publish\Core\SignalSlot\ContentService::updateContentMetadata | ( | ContentInfo | $contentInfo,
|  | ContentMetadataUpdateStruct | $contentMetadataUpdateStruct
| ) |  |

Updates the metadata.

(see ContentMetadataUpdateStruct) of a content object - to update fields use updateContent

Exceptions

Implements eZ\Publish\API\Repository\ContentService.

Definition at line 274 of file Core/SignalSlot/ContentService.php.

## Member Data Documentation

## ◆ $service

eZ\Publish\Core\SignalSlot\ContentService::$service
| protected

Definition at line 46 of file Core/SignalSlot/ContentService.php.

Referenced by eZ\Publish\Core\SignalSlot\ContentService\__construct().

## ◆ $signalDispatcher

eZ\Publish\Core\SignalSlot\ContentService::$signalDispatcher
| protected

Definition at line 53 of file Core/SignalSlot/ContentService.php.

Referenced by eZ\Publish\Core\SignalSlot\ContentService\__construct().

The documentation for this class was generated from the following file:

- Core/SignalSlot/ContentService.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.